Skip to content

CorpTransferService⁠

Manage corporate transfer records.

Operations⁠

getCorpTransfer⁠

POST

Retrieves corporate transfer.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CorpTransferGlobalSequenceDatestring · dateoptional
CorpTransferGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/corptransfer/getCorpTransfer
POST /nexum/627/2022.01/corptransfer/getCorpTransfer HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CorpTransferGlobalSequenceDate": "string",
  "CorpTransferGlobalSequence": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCorpTransferSelectFields⁠

POST

Retrieves corporate transfer with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CorpTransferGlobalSequenceDatestring · dateoptional
CorpTransferGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/corptransfer/getCorpTransferSelectFields
POST /nexum/627/2022.01/corptransfer/getCorpTransferSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CorpTransferGlobalSequenceDate": "string",
  "CorpTransferGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllCorpTransferFields": true,
    "CorpTransferFields": {
      "Amount": true,
      "CompletedByUser": true,
      "CompletedDate": true,
      "CompletedReason": true,
      "CompletedTime": true,
      "EffectiveDate": true,
      "EnteredByCorporateUser": true,
      "EnteredByMemberUser": true,
      "EnteredDate": true,
      "EnteredTime": true,
      "EnteredValidationMethod": true,
      "FromAccount": true,
      "FromGlAccount": true,
      "FromId": true,
      "FromIdType": true,
      "GlobalSequence": true,
      "GlobalSequenceDate": true,
      "InterestAmount": true,
      "Memo": [
        0
      ],
      "NoticeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}